﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Indlæsning {
    // Singleton, til opbevaring af den aktuelle brik ...
    public class Brik {
        // Singleton-instans (Eager Load)
        private static Brik instans = new Brik();
        // Fields
        private int type;
        private string leksem;
        // Singleton-konstuktør - private
        private Brik() {}
        // Properties
        // Property, der returnerer singleton-instansen
        public static Brik Instans {get{return instans;}}
        public int Type {
            get {return (this.type);}
            set {this.type = value;}           
        }
        public string Leksem {
            get {return this.leksem;}
            set {this.leksem = value;}           
        }
    }
}
